com.amazon.redshift

## Class CredentialsHolder

- java.lang.Object
- - com.amazon.redshift.CredentialsHolder

    public class CredentialsHolder
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CredentialsHolder.IamMetadata`

### Field Summary

Fields
`protected AWSCredentials` `m_credentials`

### Constructor Summary

Constructors
`protected` `CredentialsHolder(AWSCredentials credentials)`
`protected` `CredentialsHolder(AWSCredentials credentials, Date expiration)`

### Method Summary

Methods
`String` `getAWSAccessKeyId()`
`String` `getAWSSecretKey()`
`Date` `getExpiration()`
`CredentialsHolder.IamMetadata` `getMetadata()`
`CredentialsHolder.IamMetadata` `getThisMetadata()`
`boolean` `isExpired()`
`boolean` `isRefresh()`
`static CredentialsHolder` `newInstance(AWSCredentials credentials)`
`static CredentialsHolder` `newInstance(AWSCredentials credentials, Date expiration)`
`void` `setMetadata(CredentialsHolder.IamMetadata metadata)`
`void` `setRefresh(boolean flag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_credentials

    protected AWSCredentials m_credentials

### Constructor Detail

#### CredentialsHolder

    protected CredentialsHolder(AWSCredentials credentials)

#### CredentialsHolder

    protected CredentialsHolder(AWSCredentials credentials,
                     Date expiration)

### Method Detail

#### newInstance

    public static CredentialsHolder newInstance(AWSCredentials credentials)

#### newInstance

    public static CredentialsHolder newInstance(AWSCredentials credentials,
                                Date expiration)

#### getAWSAccessKeyId

    public String getAWSAccessKeyId()

Returns:
  The AWS Access Key ID for this credentials object.

#### getAWSSecretKey

    public String getAWSSecretKey()

#### isExpired

    public boolean isExpired()

#### getExpiration

    public Date getExpiration()

#### getMetadata

    public CredentialsHolder.IamMetadata getMetadata()

#### getThisMetadata

    public CredentialsHolder.IamMetadata getThisMetadata()

#### setRefresh

    public void setRefresh(boolean flag)

#### isRefresh

    public boolean isRefresh()

#### setMetadata

    public void setMetadata(CredentialsHolder.IamMetadata metadata)